# Created by pyp2rpm-3.3.5
%global pypi_name frozenlist

Name:           python-%{pypi_name}
Version:        1.3.1
Release:        %mkrel 1
Summary:        A list-like structure which implements collections
Group:          Development/Python
License:        Apache 2
URL:            https://github.com/aio-libs/frozenlist
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cython)

%global common_description %{expand:
FrozenList is a list-like structure which implements
collections.abc.MutableSequence, and which can be made immutable.}

%description
%{common_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{common_description}

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove Cython-generated sources; we must ensure they are regenerated.
find . -type f -name '*.c' -print -delete

# Re-generate C sources with Cython.
%{python3} -m cython -3 frozenlist/*.pyx -I frozenlist

%build
%pyproject_wheel
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files frozenlist

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}


%changelog
* Wed Sep 07 2022 neoclust <neoclust> 1.3.1-1.mga9
+ Revision: 1884717
- New version  1.3.1

* Sat Jun 04 2022 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1861194
- imported package python-frozenlist

